Skip to main content

DeleteColumn

Delete a column from the specified workspace.

Try it now

You can directly run this API in OpenAPI Explorer, saving you the trouble of calculating signatures. After the call succeeds, OpenAPI Explorer can automatically generate SDK code examples. Try it now

RAM authorization

The following table lists the authorization information for this API. You can use the Action element in RAM permission policy statements to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the operation. Details are as follows:
    • For required resource types, an asterisk (*) is prefixed.
    • For operations that do not support resource-level authorization, 全部资源 is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to successfully perform the operation. The operator must also have the permissions of all dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:DeleteColumnnone
*All Resources
*
    None
None

Request syntax

POST /gbi/delete/column HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

columnIdKeystringYes

The unique identifier of the column to delete

column-AAAAAAAAh6Q9ERazKYFvkA

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response message

true
errorMsgstring

Error description

NoAuth
codestring

Error code

NoAuth
successboolean

true if the API call succeeds, false if the API call fails

true
requestIdstring

The request ID, unique for each request, for troubleshooting

D02D895A-5E58-5A9F-963D-D8B027AB7AE2

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "D02D895A-5E58-5A9F-963D-D8B027AB7AE2"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel to troubleshoot
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have the permission to the specified workspace
401NoResourceAuthBad Request: Resource Auth Error.No permission for the requested resource. Make sure the requested resource belongs to the workspace in the current parameters
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center for more error codes.